Bug 340771 - multiarch conflicts in cal3d
multiarch conflicts in cal3d
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cal3d (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:32 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-04 18:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:32:51 EDT
cal3d (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/share/doc/cal3d-devel-0.11.0/animation_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/animation__action_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/animation__cycle_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/animcallback_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/annotated.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/bone_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/buffersource_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/cal3d_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/cal3d__wrapper_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/cal3dfaq.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/cal3dfaq_8doxygen.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalAbstractMixer-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalAbstractMixer.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalBoundingBox-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalBoundingBox.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalBufferSource-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalBufferSource.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalCoreKeyframe-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalCoreKeyframe.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalDataSource-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalDataSource.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalLoader-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalLoader.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalMatrix-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalMatrix.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalPlane-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalPlane.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalPlatform-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalPlatform.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalQuaternion-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalQuaternion.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalSaver-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalSaver.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalSpringSystem-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalSpringSystem.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalStreamSource-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalStreamSource.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalVector-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classCalVector.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1RefCounted-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1RefCounted.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1RefPtr-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1RefPtr.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlAttribute-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlAttribute.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlBase-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlBase.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlComment-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlComment.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlDeclaration-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlDeclaration.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlDocument-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlDocument.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlElement-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlElement.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlHandle-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlHandle.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlNode-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlNode.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlText-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlText.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlUnknown-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1TiXmlUnknown.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1Transform-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1Transform.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1noncopyable-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classcal3d_1_1noncopyable.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/classes.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coreanimation_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/corebone_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/corekeyframe_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/corematerial_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coremesh_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coremodel_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coremorphanimation_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coreskeleton_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coresubmesh_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coresubmorphtarget_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/coretrack_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/datasource_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/error_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/files.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/functions.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/functions_func.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/functions_rela.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/functions_type.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/global_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/hardwaremodel_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/hierarchy.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/index.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/license.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/loader_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/matrix_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/mesh_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/mixer_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/model_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/morphtargetmixer_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/pages.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/physique_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/platform_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/quaternion_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/refcounted_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/refptr_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/renderer_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/resource_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/saver_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/skeleton_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/springsystem_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/streamsource_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/structCalCoreSubmesh_1_1Spring-members.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/structCalCoreSubmesh_1_1Spring.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/submesh_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/tinyxml_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/transform_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7
  file /usr/share/doc/cal3d-devel-0.11.0/vector_8h-source.html from install of cal3d-devel-0.11.0-4.fc7 conflicts with file from package cal3d-devel-0.11.0-4.fc7

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Christopher Stone 2007-10-19 17:54:45 EDT
I believe this is a bogus bug and something is either wrong with your script or
there is some other multiarch problem.  These are all files in %doc, and there
is nothing in the MultilibTricks page about %doc files.  In addition, installing
both i386 and x86_64 on F7 does not produce these results.

Therefore I think something else is bugged.  QED.
Comment 2 Christopher Stone 2007-10-19 17:57:53 EDT
Actually I can reproduce this on F7.  The %doc file is in the -devel subpackage,
not the main package.  When trying to install both arches in the devel
subpackage the error is triggered.

I don't know how to fix this other than removing all %doc files from devel which
doesn't sound right.
Comment 3 Christopher Stone 2007-10-19 18:20:09 EDT
okay as Eric Sandeen pointed out, this is a problem with the "generated at ...
by ..." lines in the autogenerated doc files.  I'll look into fixing this.
Comment 4 Eric Sandeen 2007-10-20 12:55:04 EDT
Unfortunately there are also uuid-like anchors in the html, not just the
timestamps.  So bigger problems.  I don't know how doxygen generates these;
maybe some seed based on.... I have no idea.  :)
Comment 5 Christopher Stone 2007-10-20 14:57:38 EDT
I have a patch to fix the timestamps, that is easy.  As for the anchors, I have
no clue about doxygen.  I will try to find out more.

Can't we just say this a bug in yum?  These packages install easily enough using
rpm.

If this is something built into doxygen we will have to end up putting in
hacks(patches) in doxygen to get around assumptions yum makes by checking CRCs.
 I don't really want to jump through hoops here in my packages for what seems to
me like bad logic in yum.
Comment 6 Bill Nottingham 2007-10-22 15:35:55 EDT
yum and rpm behave the same - the conflicts will only show up when the i386 and
x86_64 packages are installed in separate transactions (this is a rpm bug - bug
190209)
Comment 7 Christopher Stone 2007-10-27 18:04:02 EDT
Then this is clearly a bug in doxygen.  doxygen would need to be patched such
that it doesn't use those uuid like anchors.

Asking me to pre-generate the documentation by hand every single release to
work-around a doxygen limitation seems a bit messianic.

Let me know if you concur, and I will create a bug so that we can enhance
doxygen to work better across multi-arch installations.
Comment 8 Bill Nottingham 2007-10-29 11:29:13 EDT
Sounds reasonable.
Comment 9 Christopher Stone 2007-11-04 18:29:14 EST
This bug is not reproducible using doxygen-1.5.3

You can probably assume doxygen-1.5.3 will fix a lot of these problems.

Closing as WONTFIX, this is obviously Than's responsibility to push doxygen-1.5.3.

Note You need to log in before you can comment on or make changes to this bug.